#
# Copyright Michael Orlitzky
#
# http://michael.orlitzky.com/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# http://www.fsf.org/licensing/licenses/gpl.html
#

require 'test/unit'
require 'src/websites/redtube'


class RedtubeRemoteTest < Test::Unit::TestCase

  # This is a remote test because the default get_video_filename()
  # relies on the video URL. Of course, we don't know the video URL
  # unless we download and parse the page.
  def test_get_video_filename
    rt = Redtube.new('http://www.redtube.com/6807')
    expected_result = 'X57OBH08G.flv'
    actual_result = rt.get_video_filename()
    assert_equal(expected_result, actual_result)
  end

end
